LDLIBS=`pkg-config --libs \
	allegro_acodec-5      \
	allegro_font-5        \
	allegro_dialog-5      \
	allegro_main-5        \
	allegro_image-5       \
	allegro_video-5       \
	allegro-5             \
	allegro_primitives-5  \
	allegro_physfs-5      \
	allegro_audio-5       \
	allegro_memfile-5     \
	allegro_ttf-5         \
	allegro_color-5` \
	-framework OpenGL -lz
CFLAGS=-DMACOS -Isrc -DGL_SILENCE_DEPRECATION
default: src/main
	mv src/main "DungeonSimulatorByElias.app/Contents/MacOS/"
	dylibbundler -b -d "DungeonSimulatorByElias.app/Contents/MacOS" -p "@executable_path" -x "DungeonSimulatorByElias.app/Contents/MacOS/main" -s /usr/local/opt/allegro/lib/
src/main: src/menu.o src/common.o src/test.o src/dungeon.o src/render.o src/game.o src/create.o src/main.o src/data.o src/names.o src/land/land.o
